Subject: kernel 2.6.27 MPC512x status

From: Matteo Fortini <[email-masked]>
Date: Fri, 10 Oct 2008 15:37:24 +0200

I gave a try to the brand new 2.6.27 kernel on my ADS5121 evaluation board:

    * FEC support is not in, though it was quite easy to add FSL patches
      from 2.6.24.6 and have the ethernet working
    * If I turn on any USB support, the board resets itself as soon as
      the USB driver is loaded. Without USB, I can get to a prompt.
      Funny that the software reset is not working, but this bug is
      actually able to sw reset the board...
    * PCI seems not to be working, but I need to test it more. The fact
      that FSL needed to patch 2.6.24.6 in order to get PCI working
      makes me think it's needs some work.

This is bad because I wanted to incorporate some newer patches, like the 
PWM one, but kernel 2.6.24.6 is too backward in time, while 2.6.27 is 
too forward for FSL patches...

M